Name:           ghasher
Version:        1.2.1
Release:        1%{?dist}

Summary:        GUI hasher for GTK+ 2
Group:          Applications/File
License:        BSD
URL:            http://asgaard.homelinux.org/code/ghasher/
Source0:        http://asgaard.homelinux.org/code/ghasher/ghasher-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel >= 2.4 openssl-devel desktop-file-utils libglade2-devel

%description
ghasher can easily show the MD5 sum (or md2, md4, sha1, sha, ripemd160, dss1)
of a file. Motivation for this utility was that users shouldn't need to open a
command line for checking the MD5 sum of files they download.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 0755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D -m 0644 hash.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/hash.xpm
cat > %{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=MD5 sum utility
Comment=Calculate the md5 sum of a file
Exec=ghasher %F
Terminal=false
Type=Application
Icon=hash.xpm
Categories=Utility;GTK;X-Fedora;
EOF
desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Utility \
  --add-category GTK \
  %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/*

%changelog
* Mon Sep  4 2006 Denis Leroy <denis@poolshark.org> - 1.2.1-1
- Update to 1.2.1
- Removed CFLAGS override

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.0-8
- Rebuild for Fedora Extras 5

* Thu Nov 10 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.0-7
- Rebuild for new OpenSSL

* Thu Oct  6 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.0-6
- Add support for files >2GiB

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.0-4
- %%

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.0-3
- Broke %%description at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.0-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.0-1
- Bump release to 1
- Cleaned up %%description

* Thu Mar  3 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:1.2.0-0.iva.1
- Fixed several packaging errors

* Mon Feb 28 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:1.2.0-0.iva.0
- Initial RPM release.
